import request from 'mn-template/plugins/http';
export const gteServiceType = async() => {
    return request({
        url: '/diagnose/doctorService/serviceType',
        method: 'get',
    });
};

export const doctorServiceSearch = async(data) => {
    return request({
        url: '/diagnose/doctorService/search',
        data: data,
        method: 'post',
    });
};

export const setBatchUpdatePrice = async(data) => {
    return request({
        url: '/diagnose/doctorService/batchUpdatePrice',
        data: data,
        method: 'post',
    });
};

export const updatePrice = async(data) => {
    return request({
        url: '/diagnose/doctorService/updatePrice',
        data: data,
        method: 'post',
    });
};

export const batchUndeploy = async(data) => {
    return request({
        url: '/diagnose/doctorService/batchUndeploy',
        data: data,
        method: 'post',
    });
};

export const doctorServiceDeploy = async(data) => {
    return request({
        url: '/diagnose/doctorService/deploy',
        data: data,
        method: 'post',
    });
};

export const doctorServiceUndeploy = async(data) => {
    return request({
        url: '/diagnose/doctorService/undeploy',
        data: data,
        method: 'post',
    });
};
export const doctorServiceBatchDeploy = async(data) => {
    return request({
        url: '/diagnose/doctorService/batchDeploy',
        data: data,
        method: 'post',
    });
};

export const doctorServiceProfit = async(data) => {
    return request({
        url: '/diagnose/doctorService/profit',
        data: data,
        method: 'post',
    });
};